/*
 * ============================================================================
 * History
 * =======
 *	0.1 - date 2013.04.24 - Initial version
 *	0.2 - date 2013.08.19 - added few APIs
 *	1.0 - date 2015.03.16 - Updated with new APIs for FT81X
 *
 * (C) Copyright Bridgetek Pte Ltd
 * ============================================================================
 *
 * This source code ("the Software") is provided by Bridgetek Pte Ltd
 * ("Bridgetek") subject to the licence terms set out
 * http://www.ftdichip.com/FTSourceCodeLicenceTerms.htm ("the Licence Terms").
 * You must read the Licence Terms before downloading or using the Software.
 * By installing or using the Software you agree to the Licence Terms. If you
 * do not agree to the Licence Terms then do not download or use the Software.
 *
 * Without prejudice to the Licence Terms, here is a summary of some of the key
 * terms of the Licence Terms (and in the event of any conflict between this
 * summary and the Licence Terms then the text of the Licence Terms will
 * prevail).
 *
 * The Software is provided "as is".
 * There are no warranties (or similar) in relation to the quality of the
 * Software. You use it at your own risk.
 * The Software should not be used in, or for, any medical device, system or
 * appliance. There are exclusions of Bridgetek liability for certain types of loss
 * such as: special loss or damage; incidental loss or damage; indirect or
 * consequential loss or damage; loss of income; loss of business; loss of
 * profits; loss of revenue; loss of contracts; business interruption; loss of
 * the use of money or anticipated savings; loss of information; loss of
 * opportunity; loss of goodwill or reputation; and/or loss of, damage to or
 * corruption of data.
 * There is a monetary cap on Bridgetek's liability.
 * The Software may have subsequently been amended by another user and then
 * distributed by that other user ("Adapted Software").  If so that user may
 * have additional licence terms that apply to those amendments. However, Bridgetek
 * has no liability in relation to those amendments.
 * ============================================================================
 */

#ifndef _FT_COPRO_CMDS_H_
#define _FT_COPRO_CMDS_H_
void Ft_Gpu_CoCmd_SetBitmap(Ft_Gpu_Hal_Context_t *phost, uint32_t source, uint16_t fmt, uint16_t w, uint16_t h);
void Ft_Gpu_CoCmd_SetScratch(Ft_Gpu_Hal_Context_t *phost, uint32_t handle);
void Ft_Gpu_CoCmd_RomFont(Ft_Gpu_Hal_Context_t *phost, uint32_t font, uint32_t romslot);
void Ft_Gpu_CoCmd_Text(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t font, uint16_t options, const char *s);
void Ft_Gpu_CoCmd_Number(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t font, uint16_t options, int32_t n);
void Ft_Gpu_CoCmd_LoadIdentity(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Toggle(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t font, uint16_t options, uint16_t state, const char *s);
void Ft_Gpu_CoCmd_Gauge(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t r, uint16_t options, uint16_t major, uint16_t minor, uint16_t val, uint16_t range);

void Ft_Gpu_CoCmd_RegRead(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t result);
void Ft_Gpu_CoCmd_VideoStart(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_GetProps(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t w, uint32_t h);
void Ft_Gpu_CoCmd_Memcpy(Ft_Gpu_Hal_Context_t *phost, uint32_t dest, uint32_t src, uint32_t num);
void Ft_Gpu_CoCmd_Spinner(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, uint16_t style, uint16_t scale);
void Ft_Gpu_CoCmd_BgColor(Ft_Gpu_Hal_Context_t *phost, uint32_t c);
void Ft_Gpu_CoCmd_Swap(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Inflate(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr);
void Ft_Gpu_CoCmd_Translate(Ft_Gpu_Hal_Context_t *phost, int32_t tx, int32_t ty);
void Ft_Gpu_CoCmd_Stop(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_SetBase(Ft_Gpu_Hal_Context_t *phost, uint32_t base);
void Ft_Gpu_CoCmd_Slider(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t h, uint16_t options, uint16_t val, uint16_t range);
void Ft_Gpu_CoCmd_VideoFrame(Ft_Gpu_Hal_Context_t *phost, uint32_t dst, uint32_t ptr);
void Ft_Gpu_CoCmd_Interrupt(Ft_Gpu_Hal_Context_t *phost, uint32_t ms);
void Ft_Gpu_CoCmd_FgColor(Ft_Gpu_Hal_Context_t *phost, uint32_t c);
void Ft_Gpu_CoCmd_Rotate(Ft_Gpu_Hal_Context_t *phost, int32_t a);
void Ft_Gpu_CoCmd_Button(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t h, int16_t font, uint16_t options, const char *s);
void Ft_Gpu_CoCmd_MemWrite(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t num);
void Ft_Gpu_CoCmd_Scrollbar(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t h, uint16_t options, uint16_t val, uint16_t size, uint16_t range);
void Ft_Gpu_CoCmd_GetMatrix(Ft_Gpu_Hal_Context_t *phost, int32_t a, int32_t b, int32_t c, int32_t d, int32_t e, int32_t f);
void Ft_Gpu_CoCmd_Sketch(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, uint16_t w, uint16_t h, uint32_t ptr, uint16_t format);
void Ft_Gpu_CoCmd_CSketch(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, uint16_t w, uint16_t h, uint32_t ptr, uint16_t format, uint16_t freq);
void Ft_Gpu_CoCmd_PlayVideo(Ft_Gpu_Hal_Context_t *phost, uint32_t options);
void Ft_Gpu_CoCmd_MemSet(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t value, uint32_t num);
void Ft_Gpu_CoCmd_Calibrate(Ft_Gpu_Hal_Context_t *phost, uint32_t result);
void Ft_Gpu_CoCmd_SetFont(Ft_Gpu_Hal_Context_t *phost, uint32_t font, uint32_t ptr);
void Ft_Gpu_CoCmd_Bitmap_Transform(Ft_Gpu_Hal_Context_t *phost, int32_t x0, int32_t y0, int32_t x1, int32_t y1, int32_t x2, int32_t y2, int32_t tx0, int32_t ty0, int32_t tx1, int32_t ty1, int32_t tx2, int32_t ty2, uint16_t result);
void Ft_Gpu_CoCmd_GradColor(Ft_Gpu_Hal_Context_t *phost, uint32_t c);
void Ft_Gpu_CoCmd_Sync(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Append(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t num);
void Ft_Gpu_CoCmd_MemZero(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t num);
void Ft_Gpu_CoCmd_Scale(Ft_Gpu_Hal_Context_t *phost, int32_t sx, int32_t sy);
void Ft_Gpu_CoCmd_Clock(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t r, uint16_t options, uint16_t h, uint16_t m, uint16_t s, uint16_t ms);
void Ft_Gpu_CoCmd_Gradient(Ft_Gpu_Hal_Context_t *phost, int16_t x0, int16_t y0, uint32_t rgb0, int16_t x1, int16_t y1, uint32_t rgb1);
void Ft_Gpu_CoCmd_SetMatrix(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Track(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t h, int16_t tag);

void Ft_Gpu_CoCmd_Int_SWLoadImage(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t options);
void Ft_Gpu_CoCmd_GetPtr(Ft_Gpu_Hal_Context_t *phost, uint32_t result);
void Ft_Gpu_CoCmd_Progress(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t h, uint16_t options, uint16_t val, uint16_t range);
void Ft_Gpu_CoCmd_ColdStart(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_MediaFifo(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t size);
void Ft_Gpu_CoCmd_Keys(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t w, int16_t h, int16_t font, uint16_t options, const char *s);
void Ft_Gpu_CoCmd_Dial(Ft_Gpu_Hal_Context_t *phost, int16_t x, int16_t y, int16_t r, uint16_t options, uint16_t val);
void Ft_Gpu_CoCmd_Snapshot2(Ft_Gpu_Hal_Context_t *phost, uint32_t fmt, uint32_t ptr, int16_t x, int16_t y, int16_t w, int16_t h);
void Ft_Gpu_CoCmd_LoadImage(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t options);
void Ft_Gpu_CoCmd_SetFont2(Ft_Gpu_Hal_Context_t *phost, uint32_t font, uint32_t ptr, uint32_t firstchar);
void Ft_Gpu_CoCmd_SetRotate(Ft_Gpu_Hal_Context_t *phost, uint32_t r);
void Ft_Gpu_CoCmd_Dlstart(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Snapshot(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr);
void Ft_Gpu_CoCmd_ScreenSaver(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Memcrc(Ft_Gpu_Hal_Context_t *phost, uint32_t ptr, uint32_t num, uint32_t result);


void Ft_Gpu_CoCmd_Logo(Ft_Gpu_Hal_Context_t *phost);
void Ft_Gpu_CoCmd_Calibrate(Ft_Gpu_Hal_Context_t *phost, uint32_t result);

void Ft_Gpu_Copro_SendCmd(Ft_Gpu_Hal_Context_t *phost, uint32_t cmd);
void Ft_Gpu_CoCmd_SendStr(Ft_Gpu_Hal_Context_t *phost, const char *s);
void Ft_Gpu_CoCmd_StartFunc(Ft_Gpu_Hal_Context_t *phost, uint16_t count);
void Ft_Gpu_CoCmd_EndFunc(Ft_Gpu_Hal_Context_t *phost, uint16_t count);
#endif  /*FT_COPRO_CMDS_H*/
